
if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[capa_entrenamiento]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
	CREATE TABLE [capa_entrenamiento] (
	[idEntrenamiento] [bigint] IDENTITY (1, 1) NOT NULL ,
	[empresa] [numeric](3, 0) NOT NULL ,
	[codigo] [numeric](8, 0) NOT NULL CONSTRAINT [DF_capa_entrenamiento_codigo] DEFAULT (0),
	[idcurso] [bigint] NOT NULL ,
	[idLugar] [varchar] (10) COLLATE Modern_Spanish_CI_AS NOT NULL ,
	[idInstructor] [bigint] NOT NULL ,
	[finicial] [datetime] NULL ,
	[ffinal] [datetime] NULL ,
	[horaini1] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[horafin1] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[horaini2] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[horafin2] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[tothoras] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[costoPersona] [varchar] (10) COLLATE Modern_Spanish_CI_AS NULL ,
	[stps] [varchar] (1) COLLATE Modern_Spanish_CI_AS NULL ,
	[asistio] [char] (2) COLLATE Modern_Spanish_CI_AS NULL ,
	[calificacion] [decimal](18, 0) NULL ,
	[comentarios] [varchar] (250) COLLATE Modern_Spanish_CI_AS NULL ,
	CONSTRAINT [PK_capa_entrenamiento] PRIMARY KEY  CLUSTERED 
	(
		[idEntrenamiento]
	)  ON [PRIMARY] ,
	CONSTRAINT [FK_capa_entrenamiento_Capa_curso] FOREIGN KEY 
	(
		[idcurso]
	) REFERENCES [Capa_curso] (
		[idcurso]
	),
	CONSTRAINT [FK_capa_entrenamiento_capa_Instructor] FOREIGN KEY 
	(
		[idInstructor]
	) REFERENCES [capa_Instructor] (
		[idInstructor]
	)
) ON [PRIMARY]

GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_capa_entrenamiento_Capa_Lugar]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[capa_entrenamiento] DROP CONSTRAINT FK_capa_entrenamiento_Capa_Lugar
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_capa_entrenamiento_Capa_curso]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[capa_entrenamiento] DROP CONSTRAINT FK_capa_entrenamiento_Capa_curso
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_capa_entrenamiento_capa_Instructor]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[capa_entrenamiento] DROP CONSTRAINT FK_capa_entrenamiento_capa_Instructor
GO

